List Live Firewall Logs
GET
/network/firewall/logs/live
const url = 'https://sylve.lan:8181/api/network/firewall/logs/live?cursor=0&limit=200&ruleType=traffic&action=pass&direction=in';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://sylve.lan:8181/api/network/firewall/logs/live?cursor=0&limit=200&ruleType=traffic&action=pass&direction=in' \ --header 'Authorization: <Authorization>'List live firewall rule hits after a cursor. Cursor 0 starts at the current stream position without replaying retained history.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”cursor
integer
Return hits after this cursor; 0 initializes the live stream
limit
integer
Maximum hits to return; values above 2000 are capped
ruleType
string
Rule type
ruleId
integer
Rule ID
action
string
PF action
direction
string
Packet direction
interface
string
PF interface name
query
string
Text search over the rule name, ID, and rendered log line
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
items
Array<object>
object
action
string
bytes
integer
cursor
integer
direction
string
interface
string
rawLine
string
ruleId
integer
ruleName
string
ruleType
Traffic|nat
string
timestamp
string
nextCursor
integer
sourceError
string
sourceStatus
Ok|unavailable
string
updatedAt
string
error
string
message
string
status
string
Examplegenerated
{ "data": { "items": [ { "action": "example", "bytes": 1, "cursor": 1, "direction": "example", "interface": "example", "rawLine": "example", "ruleId": 1, "ruleName": "example", "ruleType": "example", "timestamp": "example" } ], "nextCursor": 1, "sourceError": "example", "sourceStatus": "example", "updatedAt": "example" }, "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Forbidden
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}